## org.apache.mahout.utils.vectors.lucene
Class TFDFMapper

    java.lang.Object
      org.apache.mahout.utils.vectors.lucene.TFDFMapper

    public class TFDFMapper

extends Object

Not thread-safe

Constructor Summary
`TFDFMapper(int numDocs, Weight weight, TermInfo termInfo)`

Method Summary
`Vector` `getVector()`
`void` `map(org.apache.lucene.util.BytesRef term, int frequency)`
`void` `setExpectations(String field, long numTerms)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TFDFMapper

    public TFDFMapper(int numDocs,
                      Weight weight,
                      TermInfo termInfo)

Method Detail

### setExpectations

    public void setExpectations(String field,
                                long numTerms)

### map

    public void map(org.apache.lucene.util.BytesRef term,
                    int frequency)

### getVector

    public Vector getVector()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.